﻿<h1>Clients</h1>

<p>
	Many companies and organisations around the world have used &mdash; and 
	continue to use &mdash; Dyalog to develop highly sophisticated and successful 
	applications for their end-users and customers. A number of these systems are 
	very large and are developed and maintained by big teams of APL programmers.
</p>

<p>
	At Dyalog Ltd, we are extremely proud of the achievements of our 
	customers using Dyalog, and by publishing this information we hope to 
	encourage others to follow their example.
</p>

<p>
	In this section you will find a selection of testimonials that describe some 
	of these sophisticated applications and the benefits obtained by using Dyalog.
</p>

<p>
	All the information has been provided by the customers themselves and the 
	opinions and views they express concerning Dyalog are entirely theirs.
</p>


<h2>The Carlisle Group</h2>

<p>
	<a href="http://www.carlislegroup.com/">The Carlisle Group</a> was founded in 1990 to create software to support the fast 
	growing mortgage and asset securitisation industry.
</p>

<p>
	The Carlisle Group&rsquo;s flagship product is CAS, a collateral analysis 
	system. CAS is a highly specialized software product for global asset 
	securitisation markets and is used by participants in all facets of the 
	mortgage business including investment banks, commercial banks, accounting 
	firms, bond insurers and loan originators. CAS allows business 
	people to perform the complex data manipulation, reporting, and analysis 
	required to support securitisation transactions.
</p>

<p>
	CAS has become the global standard for collateral analysis, and is now used 
	throughout the world&rsquo;s financial capitals by premier banking institutions 
	including Deutsche Bank, Royal Bank of Scotland, CDC, Lehman Brothers, Fannie 
	Mae, GMAC, JP Morgan Chase, UBS, Morgan Stanley, KPMG, Deloitte and Touche , 
	MBIA, and AMBAC. 
</p>

<p>
	When converting CAS from DOS to Windows in 1995, we experimented with the 
	available APL implementations and settled on Dyalog Limited's Dyalog APL/W. We 
	chose and have stayed with Dyalog APL/W for the following reasons:
</p>

<h3>Built-in GUI Objects</h3>

<p>
	Despite the wide availability of third party Windows controls, and the ease 
	with which Dyalog APL allows programmers to access them, there is no 
	substitute for built-in GUI objects. Dyalog APL provides us with a complete 
	set of controls so we, in turn, can provide our clients with a rich, 
	professional, GUI interface. Dyalog's built-in controls allow us to avoid the 
	expense and hassles of evaluating, purchasing, learning, testing, maintaining, 
	and distributing third party controls. The value of this to a small shop like 
	ours is hard to overstate.
</p>

<h3>Namespaces, Reference Arrays, and &lsquo;dot&rsquo; syntax</h3>

<p>
	Dyalog&rsquo;s well-crafted and natural extensions to APL are a key component 
	of our ability to compete successfully against much larger firms in the 
	corporate software market. These features are invaluable for code management 
	and GUI programming, and are indispensable for driving COM objects and servers 
	that we take extensive advantage of like ADO, MS Excel, MS Word, and the 
	Windows Scripting Host.
</p>

<h3>Documentation</h3>

<p>
	Technical documentation for Dyalog APL/W is the best ever 
	written, bar none. In an age when documentation is largely the forgotten 
	step-child of programming, if it even exists, Dyalog delivers clear, 
	comprehensive and concise manuals in the highest quality prose. The combined 
	efforts of Strunk, White and Fowler could not improve it.
</p>

<h3>Technical Support</h3>

<p>
	Dyalog's technical support is knowledgeable and responsive. Their formal bug 
	and enhancement logging, reporting, and code distribution system is so useful 
	to us that we have emulated it and provide a similar system to our own clients 
	for our products.
</p>

<h3>Technical Leverage, Stability and Vision</h3>

<p>
	When every new technical acronym produces 50 linear feet of reference works at 
	the local bookstore, it is simply impossible for a small firm of high-level 
	application developers working closely with corporate clients on 
	highly-specific business problems to keep up with the technology. Dyalog 
	handles this for us, continuously analyzing, digesting, packaging and 
	documenting the important innovations and then delivering it all to us in a 
	mere five inches of manuals and a single executable interpreter. This is no 
	mean feat, and this leverage provided by Dyalog is instrumental to our 
	success.
</p>

<p>
	Dyalog's recent .NET initiative is just the latest example of this. Dyalog has 
	been singularly focused on providing a complete, modern, APL development 
	environment, and we can only hope to serve our clients half as well as they 
	have served us. 
</p>


<h2>Financial Technologies</h2>

<p>
	<a href="http://www.fticanada.com/">Finance Technologies Inc.</a> (FTI) 
	is a software company which specializes in the development and commercial sale 
	of Windows-based applications which cater to the Canadian Financial and 
	Leasing sectors. All development is done using Dyalog APL/W, which enables FTI 
	to bring new products to the market in a fraction of the time and human 
	resources required by other programming tools. 
<!--
	Some of FTI&rsquo;s flagship products are:
	-->
</p>

<!--
<ul>
	<li>
		RUBICON &mdash; a Lease-versus-Buy decision tool for determining the more 
		advantageous method of acquiring a capital asset. RUBICON combines the 
		pertinent information regarding the asset, and the financial status of the 
		acquiring company and produces cash flow streams for the three possible 
		acquisition scenarios: Buy, Finance, or Lease. The lowest Net Present Value 
		of these streams points to the optimal alternative.
	</li>
		
	<li>
		LAS/Win &mdash; A goal-seeking Lease Pricing system that computes the 
		relevant cash flow streams for a lease, given all aspects of the deal except 
		the unknown (Cost, Option, Yield or Rental) to be determined.
	</li>

	<li>
		LAM/Win &mdash; An Asset Management database product with all necessary 
		facilities for managing a lease portfolio. 
		(<a href="images/ft_screen.gif">Sample screen</a>)
	</li>

</ul>
-->


<h2>KCI Computing</h2>

<p>
	<a href="http://www.kcicorp.com/">KCI Computing, Inc.</a> is a veteran provider 
	of financial management software. Our flagship product, CONTROL&reg; provides 
	leading-edge functionality for dynamic planning, reporting, consolidation and 
	analysis for large-scale applications across a variety of industries &mdash; from 
	Aerospace and Defense, to Health Care, to Financial Services, to 
	Manufacturing.
</p>

<!--
<p>
	CONTROL&rsquo;s architecture takes advantage of market-leading relational data 
	bases to deliver enterprise-scalable capability. It can serve hundreds or 
	thousands of users and span applications from expense budgeting to 
	project-based sales and cash flow forecasting; from worldwide financial 
	consolidations to Bill of Materials cost and capacity forecasting; from 
	analysis of point of sales information to setting detailed production targets.
</p>

<p>
	Customers choose CONTROL for its functionality, scalability, and KCI&rsquo;s 
	dedication to continual enhancement, and customer service. Our clients include 
	R.J. Reynolds Tobacco Company, Raytheon Systems Company, Ingersoll-Rand, 
	Procter and Gamble, Boeing, CMP Media Inc., Guess? Inc, PacifiCare Health 
	Systems, World Savings and many others. 
</p>
-->

<!--
<p>KCI&rsquo;s technical strategy rests on 3 principles:</p>

<ul>
	<li>
		Open Architecture &mdash; allowing access to data, meta-data, and product 
		functions from standard products & tools
	</li>
	<li>
		Flexibility and Extensibility &mdash; providing us and our customers the ability 
		to support current and future needs
	</li>
	<li>
		Optimal Tools &mdash; using the most efficient and robust tool for any given 
		function
	</li>
</ul>
-->

<p>
	KCI uses a mix of development languages, including C++, Visual Basic, and Java 
	&mdash; Dyalog APL is used for the core computational engine. APL was chosen 
	for this crucial part of the application because its dynamic array 
	manipulation capabilities and intrinsic numeric computational power fit 
	naturally with the multi-dimensional analysis requirements of financial 
	planning and analysis. Dyalog&rsquo;s product was benchmarked and selected over all 
	other commercially available APLs.
</p>

<p>Dyalog APL delivers the following benefits to KCI and its clients:</p>

<ul>
	<li>Superior functionality, robustness, and performance of the APL interpreter</li>
	<li>
		Compatibility and interaction with external environments, through <code>⎕NA</code>
		functions, APs, TCP/IP support, and OLE automation options
	</li>
	<li>Cross platform consistency between Windows and Unix environments</li>
	<li>High quality error and exception handling</li>
	<li>Outstanding development and debugging environment</li>
	<li>Comprehensive, clear, and complete documentation</li>
	<li>Highly functional Dot-Net development capability</li>
</ul>

<p>
	Apart from the competitive advantage KCI derives from the Dyalog APL product, 
	we have been extraordinarily pleased in all our dealings with the Dyalog 
	organization. It is responsive, dedicated, and professional. 
</p>


<h2>Optima Systems</h2>

<p>
	<a href="http://www.optima-systems.co.uk">Optima Systems Ltd</a> was started 
	in the UK in 1990 and then had 5 employees all engaged on APL contracts.
</p>

<p>
	Today Optima employs 17 people. 10 of these are full-time APL consultants and 
	the rest look after our networking and CRM interests. In addition we have a 
	partner company, StylusNet, who deal with the Web and Graphic design aspects 
	of our business.
</p>

<p>
	We have a broad range of customers who include major Engineering, Financial, 
	Pharmaceutical, and Market Research companies based in the UK, Europe and USA.
</p>

<p>
	Our principal business remains firmly centred on APL where we build new 
	applications on the PC using Dyalog APL/W from Dyalog and also 
	maintain a portfolio of applications on the mainframe.
</p>

<p>
	In more recent years we have been developing tactical applications for our 
	clients and by making use of Extreme Programming techniques have generated 
	significant business cost and time savings. 
</p>

<p>
	Over the years we have worked with various flavours of APL &mdash; to a 
	certain extent we still do &mdash; but our experience has shown us that Dyalog 
	APL/W offers a complete, clean and robust working environment. In addition, 
	when problems do occur, Dyalog Limited is always available to give help and 
	advice plus their staff are very knowledgeable and approachable &mdash; a trait 
	rarely found elsewhere.
</p>

<p>
	The Dyalog working environment is also very conducive to the way we work with 
	our clients. Often we will be writing code alongside the ultimate users and 
	whilst they may not understand all aspects of the written code they can 
	understand in principle what is going on. Since the development desktop is so 
	clean and well laid out, their view is not cluttered by unnecessary objects or 
	other &lsquo;helpful&rsquo; devices. This has led to us making significant improvements in 
	the development process and reduced &lsquo;time to production&rsquo; by orders of 
	magnitude when compared to other more traditional methodologies.
</p>

<p>Some of the key attributes of Dyalog APL/W from our point of view would include:</p>

<ul>
	<li>The superb development environment</li>
	<li>Fully implemented Namespacing with consistency inside and outside the APL environment</li>
	<li>Dot-Net capabilities</li>
	<li>Overall functionality</li>
	<li>Extensive interfacing ability</li>
	<li>The staff at Dyalog</li>
</ul>


<h2>SimCorp</h2>

<p>
	SimCorp was founded in 1971 and is headquartered in Denmark. It operates 
	subsidiary companies throughout Scandinavia as well as in Belgium, Germany, 
	Great Britain, Switzerland, Hong Kong, Australia and the USA.
	SimCorp has over 500 employees and is listed on the Copenhagen Stock Exchange.
</p>

<p>
	SimCorp is one of Europe&rsquo;s leading suppliers of specialized 
	software and financial know-how for the financial sector and corporate 
	treasuries. The SimCorp systems, Simcorp Dimension and IT/2 are sold, 
	implemented and supported by the head office in Copenhagen and the 
	subsidiaries.
</p>

<!--
SimCorp develops and globally markets integrated investments and treasury 
management systems. The products help customers perform all task needed to stay 
ahead in today's international financial markets.

SimCorp is recognized as a major global provider of comprehensive software 
solutions and associated financial knowledge and as a company where 
professionals are proud to work.
-->

<p>
	SimCorp has a R&D Department of more than 150 people on its main product 
	Simcorp Dimension, which is developed primarily with Dyalog APL/W.
</p>

<p>

<p>
	SimCorp has a long history of using APL from Dyalog Limited, and the choice of 
	Dyalog APL/W as the primary development platform for Simcorp Dimension was 
	really an easy one.
</p>

<p>
	Dyalog was &mdash; and still is &mdash; far ahead of other APL vendors 
	supplying Microsoft based development environments. The Dyalog APL/W system is 
	well integrated with <strong>Microsoft Windows</strong>, and Dyalog&rsquo;s 
	ability to support new versions of Windows is impressive.
</p>

<p>
	The <strong>terse language</strong> really enables us to focus on solving the 
	business requirements, instead of writing huge amounts of source code. 
	Programming very complex, professionally looking, state-of-the art user 
	interfaces is probably easier in Dyalog APL/W than in most other languages, 
	due to the very intuitive implementation.
</p>

<p>
	The <strong>implementation</strong> is very sound. It has good performance, 
	and includes many language enhancements. To our satisfaction, Dyalog focuses 
	on real improvements rather than just implementing &lsquo;smart 
	features&rsquo; that look good in sales brochures.
</p>

<p>
	Dyalog APL/W is has <strong>interfaces</strong> through almost all modern 
	industry standards like DDE, OLE, DLL, COM, TCP/IP etc. This lets us select 
	the best technology for a given task, while retaining the benefits od the 
	Dyalog APL/W development environment.
</p>

<p>
	The <strong>people in the Dyalog team</strong> are skilled, and always act 
	very professionally. We find Dyalog an excellent partner.
</p>

<p>
	We welcome Dyalog&rsquo;s embrace of the Microsoft .NET framework, and we will 
	support them to the best of our abilities in their future work. 
</p>



<p>
	Dyalog would like to state that we are grateful to the individuals and 
	companies who have supplied this material, and we reiterate our commitment to 
	providing you with the tools and support you need to become even more 
	successful in the future.
</p>