﻿<h1>Statement of direction</h1>

<p>
	Dyalog Ltd has recently allocated additional resource to both the technical 
	and marketing sides of the business. In addition to accelerating the pace of 
	product development, the company is now in a position to offer additional 
	support and consulting services. There is an increased focus on business 
	development. As the company continues to grow, resources will be added as they 
	are required.
</p>

<p>
	We are committed to continued profitable and financially sound development of 
	Dyalog Ltd, in order to provide a high level of responsiveness to customer 
	requirements and invest in further development of products and services. 
	Within these constraints, our key drivers are:
</p>

<ul>
	<li>
		To ensure that Dyalog is well integrated with the operating systems which 
		are important to our customers. (Currently: Microsoft Windows, Unix, Linux)
	</li>

	<li>
		To integrate Dyalog with other development tools using industry standard 
		interfaces (main focus on TCP/IP, OLE/ActiveX, DotNet).
	</li>

	<li>
		To enhance the Dyalog interpreter by taking advantage of new development 
		tools and hardware, in order to ensure continuous improvement of 
		performance, scalability, robustness and maintainability of the interpreter.
	</li>

	<li>
		To extend the APL language itself, in order to improve the productivity of 
		developers, help enhance the robustness and performance of the algorithms 
		and systems they produce &mdash; with the aim of providing the best 
		&lsquo;Tool of Thought&rsquo; that money can buy!
	</li>

	<li>
		To develop a suite of up-to-date training materials and courses to make it 
		easier to attract and train new APL resources.
	</li>
	
</ul>

<p>
	Dyalog Ltd is committed to protecting the investment of existing customers by 
	ensuring that existing application code continues to work with minimum changes 
	even in the face of changes to operating environments. In cases where new 
	facilities can provide a clear benefit to customers over continuing to 
	maintain obsolete mechanisms, Dyalog will make all reasonable efforts to ease 
	migration to new environments.
</p>

<h2>New Services</h2>

<p>
	The management team of Dyalog Ltd offers extensive experience in providing 
	professional services, courses and training materials. Our goal is to make use 
	of this experience to add more value to our existing customers, as well as 
	helping new customers master the art of application-building using Dyalog. 
	Examples of application areas are: Large, mission-critical multi-user 
	applications, including Timeseries and Multi-Dimensional Database systems, 
	Crew Scheduling, Personnel Management, &lsquo;Shop Floor&rsquo; Data Capture, 
	Portfolio Management, Client/Server and n-Tier Database Backend Development, 
	in addition to the obligatory (numerous) Financial Consolidation, Reporting, 
	Budgeting and Forecasting applications.
</p>

<p>
	The Dyalog team has extensive experience in recruiting, building and managing 
	large APL-based development teams working on shared source code, and a network 
	of highly qualified APL resources in most corners of the globe, including 
	developers who work in many application areas other than those mentioned 
	above. Through this network of highly experienced professional services 
	groups, we will actively work to increase the bandwidth of communications, 
	with the aim of providing customers with advice on how to achieve optimal use 
	of the product &mdash; and receiving input on the direction in which the product 
	should evolve.
</p>

<p>
	We are committed to supporting the continued growth of Dyalog as a highly 
	productive tool for the development of APL applications, from the simplest 
	mathematical models or prototypes to the largest mission-critical, high 
	performance multi-user applications. 
</p>