﻿<h1>Dyalog Support Service</h1>

<p>
	Dyalog Support Service (DSS) and Dyalog Support Service Plus (DSS+) are
	support and maintenance services offered for Dyalog Windows users. They are
	offered as electronic services and you&rsquo;ll therefore need access to either
	the World Wide Web or use a TCP/IP connection.
</p>

<p>
	DSS offers the following services:
</p>

<ul>
  <li>
  	Telephone and email support, including
  	problem reporting and bug fixing
  </li>
  <li>Access to a steady stream of minor enhancements</li>
  <li>
  	Formal bug tracking service including automatic notification via e-mail of
  	newly discovered bugs and fixes
  </li>
  <li>Access to Dyalog Windows patches &mdash; updated daily</li>
  <li>
  	Access to a password-protected set of private web pages administered by
  	Dyalog Ltd dedicated to Dyalog Windows users
  </li>
</ul>

<p>
	Membership of DSS+ includes all of the benefits of DSS, but in addition
	provides <strong>automatic upgrades</strong> to major new Dyalog Windows
	versions as and when they are developed. Upgrades include the appropriate
	documentation and media (CD-ROM).
</p>

<p>
	DSS is intended for users running the current release (Versions 11.0) and the
	2 previous releases (Versions 10.1 and Versions 10.0) of Dyalog Windows.
	Subscription
</p>

<p>
	For pricing information and subscription to DSS or DSS+ please contact your
	Dyalog distributor. Find your distributor here or contact Dyalog Limited. If
	you are already a subscriber, log in here.
</p>

<h2>DSS Membership Services</h2>

<h3>Technical help and advice</h3>

<p>
	DSS members can obtain technical advice and
	assistance on all aspects of Dyalog Windows usage (including run-time systems)
	by telephone and/or email. This service includes help with coding and design
	problems, but is not intended to replace the use of on-line documentation.
	Additionally, documentation is provided as download/printable PDF's. All
	questions and requests for advice will be answered immediately or within one
	working day.
</p>

<h3>Documentation print service</h3>

<p>
	We appreciate that the documentation is
	quite large to print and are pleased to offer an on demand print service. If
	you would like to order any number of copies bound and shipped to your chosen
	address, please contact Dyalog Limited.
</p>

<h3>Enhancements</h3>

<p>
	DSS members are provided access to a steady stream of
	enhancements to Dyalog Windows versions as they are developed and implemented.
	Such enhancements will typically be extensions and improvements to existing
	facilities and improvements in performance and usability. Major new versions
	are not included with standard DSS but will be offered as optional chargeable
	upgrades. DSS+ includes upgrade to all major new versions.
</p>

<h3>Bug Reporting and Correction Service</h3>

<p>
	If a DSS member reports a bug,
	the bug will be recorded in the Bug System and allocated a Bug Reference
	Number. A bug will only be recorded if Dyalog Ltd. is able to reproduce the
	fault and it is the responsibility of the customer to provide the information
	necessary to do so. Once a bug is logged, Dyalog will use its best efforts to
	correct the fault within 30 working days. You will receive email notification
	when the bug has been corrected and a fix will be made available via the Patch
	System.
</p>

<h3>Information Service</h3>

<p>
	The current list of outstanding bugs and fixes for
	each of the currently supported versions of Dyalog Windows is updated daily
	and is available exclusively to DSS members from the Members password
	protected section of the Dyalog web site or through the Patch System. In
	addition, DSS members may choose to receive daily notification by email of
	newly reported bugs and/or fixes.
</p>

<h3>Members section</h3>

<p>
	The members section is provided solely for DSS
	members. Access to these pages requires you have a DSS user ID and password.
	The members section not only provides access to patches and bug lists, but is
	also intended as a source of inside information of interest to Dyalog users.
	If you do not have a user ID and password, contact Dyalog Limited.
</p>

<h3>Patches</h3>

<p>
	DSS members have exclusive access to the Dyalog Patch system
	which automatically updates a base copy of the Dyalog Windows program to the
	latest build. Get the latest patch here.
</p>